/*
GLDM - Graphical Liberty Display Manager

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software Foundation,
Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifndef DUMMYAUTHPROVIDER_H_INCLUDED
#define DUMMYAUTHPROVIDER_H_INCLUDED

#include "authprovider.h"

/** This class provides a dummy auth provider, which serves only as a test.
  * It should never be used. It simply says any time password "1" is
  * specified, that the login is valid.
  */
class DummyAuthProvider : public AuthProvider
{
    public:
    /** Returns true if password is set to 1.
      */
    bool checkOwnAuth(const std::string& login, const std::string& password);
    /** Returns only one user -- "ivucica" (username of yours truly).
      */
    std::vector<std::string> getOwnLoginListUsers();
};

#endif
